glibmm: Gio::InetSocketAddress Class Reference

glibmm 2.31.0.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gio::InetSocketAddress Class Reference
Portable Network I/O Functionality

Internet SocketAddress. More...

`#include <giomm/inetsocketaddress.h>`

Inheritance diagram for Gio::InetSocketAddress:
[legend]

List of all members.

## Public Member Functions
virtual | ~InetSocketAddress ()
GInetSocketAddress* | gobj ()
| Provides access to the underlying C GObject.
const GInetSocketAddress* | gobj () const
| Provides access to the underlying C GObject.
GInetSocketAddress* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< InetAddress > | get_address ()
| Gets address's InetAddress.
Glib::RefPtr< const InetAddress > | get_address () const
| Gets address's InetAddress.
guint16 | get_port () const
| Gets address's port.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< InetAddress > > | property_address () const
| The address.
Glib::PropertyProxy_ReadOnly < guint16 > | property_port () const
| The port.
## Static Public Member Functions
static Glib::RefPtr < InetSocketAddress > | create (const Glib::RefPtr< InetAddress >& address, guint16 port)
## Protected Member Functions
| InetSocketAddress (const Glib::RefPtr< InetAddress >& address, guint16 port)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::InetSocketAddress > | wrap (GInetSocketAddress* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Internet SocketAddress.

An IPv4 or IPv6 socket address; that is, the combination of a InetAddress and a port number.

An IPv4 or IPv6 socket address, corresponding to a struct sockaddr_in or struct sockaddr_in6.

Since glibmm 2.24:

## Constructor & Destructor Documentation

virtual Gio::InetSocketAddress::~InetSocketAddress | ( |  | ) | `[virtual]`

Gio::InetSocketAddress::InetSocketAddress | ( | const Glib::RefPtr< InetAddress >& | address,
|  | guint16 | port
| ) |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<InetSocketAddress> Gio::InetSocketAddress::create | ( | const Glib::RefPtr< InetAddress >& | address,
|  | guint16 | port
| ) |  | `[static]`

Glib::RefPtr<InetAddress> Gio::InetSocketAddress::get_address | ( |  | ) |

Gets address's InetAddress.

Since glibmm 2.22:

Returns:
  The InetAddress for address, which must be Glib::object_ref()'d if it will be stored.

Glib::RefPtr<const InetAddress> Gio::InetSocketAddress::get_address | ( |  | ) | const

Gets address's InetAddress.

Since glibmm 2.22:

Returns:
  The InetAddress for address, which must be Glib::object_ref()'d if it will be stored.

guint16 Gio::InetSocketAddress::get_port | ( |  | ) | const

Gets address's port.

Since glibmm 2.22:

Returns:
  The port for address.

const GInetSocketAddress* Gio::InetSocketAddress::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::SocketAddress.

Reimplemented in Gio::ProxyAddress.

GInetSocketAddress* Gio::InetSocketAddress::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::SocketAddress.

Reimplemented in Gio::ProxyAddress.

GInetSocketAddress* Gio::InetSocketAddress::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gio::SocketAddress.

Reimplemented in Gio::ProxyAddress.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<InetAddress> > Gio::InetSocketAddress::property_address | ( |  | ) | const

The address.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint16> Gio::InetSocketAddress::property_port | ( |  | ) | const

The port.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::InetSocketAddress > wrap | ( | GInetSocketAddress * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.